#ifndef _IOUTILS_H
#define _IOUTILS_H

#include <stdio.h>

int write_string(int fd, const char *b, ...);
int write_fully(int fd, const void *b, int len);
int read_fully(int fd, void *b, int len);
int read_timeout(int fd, void *buf, int maxlen, int msTimeout);
int read_fully_timeout(int fd, void *bufin, int len, int msTimeout);
int read_line_timeout(int fd, void *buf, int maxlen, int msTimeout);
int read_line_timeout_min(int fd, void *buf_in, int maxlen, int msTimeout);
int read_available(int fd);
void read_flush(int fd);

int fwrite32(FILE *f, int32_t v);
int fwrite64(FILE *f, int64_t v64);
int fread32(FILE *f, int32_t *v32);
int fread64(FILE *f, int64_t *v64);

#endif
